> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rushed.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Preferences

> Update all user preferences at once

## Headers

<ParamField header="X-API-Key" type="string" required>
  Your Rushed API key: `rsh_live_xxxxxxxxxxxx`
</ParamField>

## Request Body

<ParamField body="sectors" type="array">
  Array of sector codes: `FIN`, `TEC`, `SAU`, etc.
</ParamField>

<ParamField body="topics" type="array">
  Array of topic codes: `M&A`, `IPO`, `REG`, etc.
</ParamField>

<ParamField body="notificationSettings" type="object">
  <Expandable title="Notification settings">
    <ParamField body="email" type="boolean">Email notifications</ParamField>
    <ParamField body="push" type="boolean">Push notifications</ParamField>
    <ParamField body="whatsapp" type="boolean">WhatsApp alerts</ParamField>
    <ParamField body="breakingOnly" type="boolean">Only notify for breaking news</ParamField>
    <ParamField body="minScore" type="number">Minimum score for notifications (0–100)</ParamField>
  </Expandable>
</ParamField>

<ParamField body="relevanceSettings" type="object">
  <Expandable title="Relevance multipliers">
    <ParamField body="sectorMultiplier" type="number">Sector match multiplier (default 1.5)</ParamField>
    <ParamField body="topicMultiplier" type="number">Topic match multiplier (default 1.3)</ParamField>
    <ParamField body="keywordMultiplier" type="number">Keyword match multiplier (default 2.0)</ParamField>
    <ParamField body="watchlistMultiplier" type="number">Watchlist match multiplier (default 3.0)</ParamField>
    <ParamField body="breakingNewsMultiplier" type="number">Breaking news multiplier (default 2.5)</ParamField>
    <ParamField body="recencyDecayEnabled" type="boolean">Enable temporal decay</ParamField>
    <ParamField body="recencyDecayHours" type="number">Decay window in hours (default 24)</ParamField>
  </Expandable>
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PUT https://worker.rushed.com.br/api/users/preferences \
    -H "X-API-Key: rsh_live_xxxxxxxxxxxx" \
    -H "Content-Type: application/json" \
    -d '{
      "sectors": ["FIN", "TEC", "ENE"],
      "topics": ["M&A", "IPO", "REG"],
      "relevanceSettings": { "sectorMultiplier": 2.0, "breakingNewsMultiplier": 3.0 }
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 — Success theme={null}
  {
    "success": true,
    "data": {
      "sectors": ["FIN", "TEC", "ENE"],
      "topics": ["M&A", "IPO", "REG"],
      "relevanceSettings": { "sectorMultiplier": 2.0, "breakingNewsMultiplier": 3.0 }
    }
  }
  ```
</ResponseExample>
